package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 保养计划明细对象 dms_plan_maint_detail
 *
 * @author xins
 * @date 2024-01-08
 */
public class DmsPlanMaintDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long planMaintDetailId;

    /** 计划ID，关联dms_plan_maint的plan_maint_id */
    @Excel(name = "计划ID，关联dms_plan_maint的plan_maint_id")
    private Long planMaintId;

    /** 设备ID，关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID，关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 保养部位,关联dms_base_maint_station的maint_station_id */
    @Excel(name = "保养部位,关联dms_base_maint_station的maint_station_id")
    private Long maintStationId;

    @Excel(name = "保养标准id")
    private Long maintStandardId;
    /** 操作描述 */
    @Excel(name = "操作描述")
    private String operationDescription;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    //    /** 保养标准 */
    private String maintProtocol;

    private String maintStationName;

    private String deviceName;

    private String maintStationCode;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getMaintStationCode() {
        return maintStationCode;
    }

    public void setMaintStationCode(String maintStationCode) {
        this.maintStationCode = maintStationCode;
    }

    public Long getMaintStandardId() {
        return maintStandardId;
    }

    public void setMaintStandardId(Long maintStandardId) {
        this.maintStandardId = maintStandardId;
    }

    public void setPlanMaintDetailId(Long planMaintDetailId)
    {
        this.planMaintDetailId = planMaintDetailId;
    }

    public Long getPlanMaintDetailId()
    {
        return planMaintDetailId;
    }
    public void setPlanMaintId(Long planMaintId)
    {
        this.planMaintId = planMaintId;
    }

    public Long getPlanMaintId()
    {
        return planMaintId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setMaintStationId(Long maintStationId)
    {
        this.maintStationId = maintStationId;
    }

    public Long getMaintStationId()
    {
        return maintStationId;
    }



    public void setOperationDescription(String operationDescription)
    {
        this.operationDescription = operationDescription;
    }

    public String getOperationDescription()
    {
        return operationDescription;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    public String getMaintProtocol() {
        return maintProtocol;
    }

    public void setMaintProtocol(String maintProtocol) {
        this.maintProtocol = maintProtocol;
    }

    public String getMaintStationName() {
        return maintStationName;
    }

    public void setMaintStationName(String maintStationName) {
        this.maintStationName = maintStationName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("planMaintDetailId", getPlanMaintDetailId())
            .append("planMaintId", getPlanMaintId())
            .append("deviceId", getDeviceId())
            .append("maintStationId", getMaintStationId())
            .append("operationDescription", getOperationDescription())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
